Get Jira Configurations

gethttps://app.fossa.com/api/jira

Get configuration settings for all Jira Sites in an organization

Responses

200OK

Array of:

idinteger
organizationIdinteger
webhookURLstring

Used by the Jira to FOSSA Webhook

createdAtstring

Timestamp when Jira was created

enabledboolean

On/Off state of the Jira site enabled in FOSSA

namestring

Display name of your Jira site inside of FOSSA

base_urlstring | null

Url of your Jira Site

resolved_statusesstring[]
resolvedStatusesEnabledboolean

When true, incoming webhooks will ignore/unignore issues linked to the specific tickets in question if the status matches one of the statuses listed in resolved_statuses.

credentialsobject
basicobject
usernamestring

Jira username to authenticate to the site

passwordstring

Jira password to authenticate to the site (obfuscated when retrieved)

headersobject | null

HTTP headers to pass along when authenticating to the Jira site

issueTypesarray | null

Available issue types to use when exporting tickets

labelsarray | null

Available labels to include when exporting tickets. Corresponds to a label in Jira

componentsarray | null

Available Jira components to include when exporting tickets. Components can be made required in Jira and are passed by ID when creating issues.

jiraProjectIdsarray | null

Available Jira Projects to export to from FOSSA

customFieldsobject | null

a dictionary of custom fields

defaultLicensingProjectstring | null

The Jira Project to default to when exporting licensing issues

defaultSecurityProjectstring | null

The Jira Project to default to when exporting security issues

defaultQualityProjectstring | null

The Jira Project to default to when exporting quality issues

defaultUniqueTicketsboolean

toggle to determine if each individual issue is 1:1 with a ticket upon creation

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
messagestring

Message describing the error

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/jira
curl --request GET \  --url 'https://app.fossa.com/api/jira' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.